Get customer's current rewards balance
curl --request GET \
--url https://dev.sbx.imprint.co/v2/customers/{customer_id}/rewards_balance \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://dev.sbx.imprint.co/v2/customers/{customer_id}/rewards_balance"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://dev.sbx.imprint.co/v2/customers/{customer_id}/rewards_balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer_id": "2EE24580-B97B-4949-A65C-929CCB9B9B8D",
"reward_balance": 120000,
"reward_symbol": "<string>",
"reward_description": "<string>"
}{
"type": "CUSTOMER_NOT_FOUND_ERROR",
"message": "Customer not found for provided ID: CSMR-v1-123",
"param": "customer_id"
}Customers
Get customer's current rewards balance
GET
/
v2
/
customers
/
{customer_id}
/
rewards_balance
Get customer's current rewards balance
Authorizations
basicAuthbearerAuth
Basic HTTP authentication. Allowed headers-- Authorization: Basic <base64(api_key_id:api_key_secret)>
Path Parameters
The unique identifier for the Imprint customer
Example:
"2EE24580-B97B-4949-A65C-929CCB9B9B8D"
Response
Customer rewards balance
The unique identifier for the customer
Example:
"2EE24580-B97B-4949-A65C-929CCB9B9B8D"
The integer value of the customer's rewards balance
Example:
120000
The symbol for the rewards. Can be in currency like $ or things like points
The description of the rewards, can be displayed to the customer